# Manifest for tuda-ci

This file is a listing of all files considered to be part of this package.
It is automatically generated with `l3build manifest`.


## Repository manifest

The following groups list the files included in the development repository of the package.
Files listed with a ‘†’ marker are included in the TDS but not CTAN files, and files listed
with ‘‡’ are included in both.

### Source files

These are source files for a number of purposes, including the `unpack` process which
generates the installation files of the package. Additional files included here will also
be installed for processing such as testing.

* beamercolorthemeTUDa.dtx ‡
* beamerfontthemeTUDa.dtx ‡
* beamerinnerthemeTUDa.dtx ‡
* beamerouterthemeTUDa.dtx ‡
* beamerthemeTUDa2008.dtx ‡
* tuda-ci.dtx ‡
* tudabeamer.dtx ‡
* tudacolors.dtx ‡
* tudaexercise.dtx ‡
* tudafonts.dtx ‡
* tudaleaflet.dtx ‡
* tudaletter.dtx ‡
* tudaposter.dtx ‡
* tudarules.dtx ‡
* tudasciposter.dtx ‡
* tudasize.dtx ‡
* tuda-ci.ins ‡
* beamerthemeTUDa-mecheng.sty ‡
* tuda-pgfplots.sty ‡
* tudamecheng.cfg ‡
* tudacolors.def ‡

### Example document source files

These files are examples of use and also some kind of documentation for the specific document types.

* DEMO-TUDaAnnouncement-de.tex †
* DEMO-TUDaAnnouncement.tex ‡
* DEMO-TUDaBeamer-de.tex †
* DEMO-TUDaBeamer.tex ‡
* DEMO-TUDaExercise-de.tex †
* DEMO-TUDaExercise.tex ‡
* DEMO-TUDaLeaflet-de.tex †
* DEMO-TUDaLeaflet.tex ‡
* DEMO-TUDaLetter-de.tex †
* DEMO-TUDaLetter.tex ‡
* DEMO-TUDaPhD-de.tex †
* DEMO-TUDaPhD.tex ‡
* DEMO-TUDaPoster-de.tex †
* DEMO-TUDaPoster.tex ‡
* DEMO-TUDaPub-de.tex †
* DEMO-TUDaPub.tex ‡
* DEMO-TUDaReport-de.tex †
* DEMO-TUDaReport.tex ‡
* DEMO-TUDaSciPoster-de.tex †
* DEMO-TUDaSciPoster.tex ‡
* DEMO-TUDaThesis-de.tex †
* DEMO-TUDaThesis.tex ‡

### Text files

Plain text files included as documentation or metadata.

* README.md ‡

### Additional Example files in German

* DEMO-TUDaAnnouncement-de.tex †
* DEMO-TUDaBeamer-de.tex †
* DEMO-TUDaExercise-de.tex †
* DEMO-TUDaLeaflet-de.tex †
* DEMO-TUDaLetter-de.tex †
* DEMO-TUDaPhD-de.tex †
* DEMO-TUDaPoster-de.tex †
* DEMO-TUDaPub-de.tex †
* DEMO-TUDaReport-de.tex †
* DEMO-TUDaSciPoster-de.tex †
* DEMO-TUDaThesis-de.tex †

### Text files

Plain text files included as documentation or metadata.

* README.md ‡
* MANIFEST.md ‡

### Derived files

The files created by ‘unpacking’ the package sources. This typically includes
`.sty` and `.cls` files created from DocStrip `.dtx` files.

* beamercolorthemeTUDa.sty †
* beamercolorthemeTUDa2008.sty †
* beamerfontthemeTUDa.sty †
* beamerfontthemeTUDa2008.sty †
* beamerinnerthemeTUDa.sty †
* beamerinnerthemeTUDa2008.sty †
* beamerinnerthemeTUDa2023.sty †
* beamerouterthemeTUDa.sty †
* beamerouterthemeTUDa2008.sty †
* beamerthemeTUDa.sty †
* beamerthemeTUDa2008.sty †
* beamerthemeTUDa2023.sty †
* tudacolors.sty †
* tudafonts.sty †
* tudarules.sty †
* tudabeamer.cls †
* tudaleaflet.cls †
* tudaletter.cls †
* tudaposter.cls †
* tudapub.cls †
* tudasciposter.cls †
* tudathesis.cfg †
* tuda-a0paper.clo †
* tuda-a1paper.clo †
* tuda-a2paper.clo †
* tuda-a3paper.clo †
* tuda-a4paper.clo †
* tuda-a5paper.clo †
* tudalettersize10pt.clo †
* tudasize9pt.clo †

### Typeset documents

The output files (PDF, essentially) from typesetting the various source, demo,
etc., package files.

* DEMO-TUDaAnnouncement.pdf ‡
* DEMO-TUDaBeamer.pdf ‡
* DEMO-TUDaExercise.pdf ‡
* DEMO-TUDaLeaflet.pdf ‡
* DEMO-TUDaLetter.pdf ‡
* DEMO-TUDaPhD.pdf ‡
* DEMO-TUDaPoster.pdf ‡
* DEMO-TUDaPub.pdf ‡
* DEMO-TUDaReport.pdf ‡
* DEMO-TUDaSciPoster.pdf ‡
* DEMO-TUDaThesis.pdf ‡

### Support files

These files are used for unpacking, typesetting, or checking purposes.

* DEMO-TUDaBibliography.bib ‡
* DEMO-TUDaFromaddress.lco ‡


## CTAN manifest

The following group lists the files included in the CTAN package.

### CTAN source files

* beamercolorthemeTUDa.dtx 
* beamerfontthemeTUDa.dtx 
* beamerinnerthemeTUDa.dtx 
* beamerouterthemeTUDa.dtx 
* beamerthemeTUDa-mecheng.sty 
* beamerthemeTUDa2008.dtx 
* tuda-ci.dtx 
* tuda-ci.ins 
* tuda-pgfplots.sty 
* tudabeamer.dtx 
* tudacolors.def 
* tudacolors.dtx 
* tudaexercise.dtx 
* tudafonts.dtx 
* tudaleaflet.dtx 
* tudaletter.dtx 
* tudamecheng.cfg 
* tudaposter.dtx 
* tudarules.dtx 
* tudasciposter.dtx 
* tudasize.dtx 

### CTAN example files

* DEMO-TUDaAnnouncement.tex 
* DEMO-TUDaBeamer.tex 
* DEMO-TUDaBibliography.bib 
* DEMO-TUDaExercise.tex 
* DEMO-TUDaLeaflet.tex 
* DEMO-TUDaLetter.tex 
* DEMO-TUDaPhD.tex 
* DEMO-TUDaPoster.tex 
* DEMO-TUDaPub.tex 
* DEMO-TUDaReport.tex 
* DEMO-TUDaSciPoster.tex 
* DEMO-TUDaThesis.tex 

### CTAN documentation files

* DEMO-TUDaAnnouncement.pdf 
* DEMO-TUDaBeamer.pdf 
* DEMO-TUDaExercise.pdf 
* DEMO-TUDaLeaflet.pdf 
* DEMO-TUDaLetter.pdf 
* DEMO-TUDaPhD.pdf 
* DEMO-TUDaPoster.pdf 
* DEMO-TUDaPub.pdf 
* DEMO-TUDaReport.pdf 
* DEMO-TUDaSciPoster.pdf 
* DEMO-TUDaThesis.pdf 
* tuda-ci.pdf 
